Bug 1204796

Summary: qt5-qtwebkit: QtWebKit logs visited URLs to WebpageIcons.db in private browsing mode [fedora-all]
Product: [Fedora] Fedora Reporter: Vasyl Kaigorodov <vkaigoro>
Component: qt5-qtwebkitAssignee: Than Ngo <than>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 21CC: awilliam, jgrulich, jreznik, kevin, ltinkl, rdieter, rnovacek, than, vkaigoro
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: AcceptedFreezeException
Fixed In Version: qt5-qtwebkit-5.4.1-4.fc20 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-04-17 02:30:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1043128, 1204795    

Description Vasyl Kaigorodov 2015-03-23 14:04:52 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Vasyl Kaigorodov 2015-03-23 14:04:56 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1204795,1204796

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1204795,1204796

Comment 2 Than Ngo 2015-03-23 17:05:53 UTC
i'm working on it

Comment 3 Than Ngo 2015-03-23 17:10:20 UTC
i don't see the CVE IDs for this issue. Could you please add CVE IDs here?

Thanks

Comment 4 Rex Dieter 2015-03-23 17:11:39 UTC
Sorry, I'd committed the patch already, and builds are underway.

Comment 5 Fedora Update System 2015-03-24 16:39:57 UTC
qt5-qtwebkit-5.4.1-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/qt5-qtwebkit-5.4.1-4.fc22

Comment 6 Fedora Update System 2015-03-24 16:40:47 UTC
qt5-qtwebkit-5.4.1-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/qt5-qtwebkit-5.4.1-4.fc21

Comment 7 Fedora Update System 2015-03-24 16:42:48 UTC
qt5-qtwebkit-5.4.1-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qt5-qtwebkit-5.4.1-4.fc20

Comment 8 Fedora Update System 2015-03-26 21:47:32 UTC
Package qt5-qtwebkit-5.4.1-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qt5-qtwebkit-5.4.1-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4587/qt5-qtwebkit-5.4.1-4.fc20
then log in and leave karma (feedback).

Comment 9 Fedora Blocker Bugs Application 2015-04-03 13:11:08 UTC
Proposed as a Freeze Exception for 22-beta by Fedora user rdieter using the blocker tracking app because:

 Have tested fixes in hand, would be nice to ship beta without a security issue (and related, not block fixes or harm upgrade paths for previous fedora releases)

Comment 10 Adam Williamson 2015-04-06 17:40:16 UTC
Discussed at 2015-04-06 freeze exception review meeting: https://meetbot.fedoraproject.org/fedora-blocker-review/2015-04-06/f22-blocker-review.2015-04-06-16.00.log.txt . Accepted as an FE: it seems likely people will use the browser from a live image, so it'd be good not to break their expectations for privacy in this case.

Comment 11 Fedora Update System 2015-04-17 02:30:20 UTC
qt5-qtwebkit-5.4.1-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-04-21 18:58:30 UTC
qt5-qtwebkit-5.4.1-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-04-21 19:15:20 UTC
qt5-qtwebkit-5.4.1-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Vasyl Kaigorodov 2015-11-02 13:12:04 UTC
CVE will be requested/assigned by Product Security, request is in the top-level bug: https://bugzilla.redhat.com/show_bug.cgi?id=1204795#c10